Bug 1810582 - resume after suspend frozen
Summary: resume after suspend frozen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-05 14:37 UTC by ATXinventor
Modified: 2020-11-24 17:10 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:10:43 UTC
Type: Bug


Attachments (Terms of Use)
suspend freeze - from journalctl --no-hostname -b > dmesgb.txt (223.56 KB, text/plain)
2020-03-05 14:37 UTC, ATXinventor
no flags Details

Description ATXinventor 2020-03-05 14:37:07 UTC
Created attachment 1667779 [details]
suspend freeze - from   journalctl --no-hostname -b > dmesgb.txt

1. Please describe the problem:
Boot. Close lid, system suspends, good.
Open lid, flick switch. Last screen in view, but no keyboard, mouse, touchscreen. Need hard reboot to be able to use system again.


2. What is the Version-Release number of the kernel:
5.5.7


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
5.3.7 (fresh install of XFCE) "mostly works", sometimes fails to suspend (system still ON after lid close), but at least does not freeze on resume when it does suspend.
5.4.19 also had this freezing issue

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Boot 5.5.7. Close lid at login prompt, system suspends.
Open lid, flick switch, see login prompt screen but system frozen

Manually select 5.3.7 kernel on boot, close lid, open, flick switch, system resumes from suspend  normally.  (Suspend eventually fails to activate later in the session for unknown reasons, but that's another story, perhaps related, borked at least since F30)

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

not tested

6. Are you running any modules that not shipped with directly Fedora's kernel?:

not sure at this moment. Problem happened already with my first update to 5.4.19, right after install of fresh XFCE

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 ATXinventor 2020-03-05 14:40:19 UTC
inxi -F -G -M
System:    Host: localhost.localdomain Kernel: 5.3.7-301.fc31.x86_64 x86_64 bits: 64 Desktop: Xfce 4.14.2 
           Distro: Fedora release 31 (Thirty One) 
Machine:   Type: Laptop System: Hewlett-Packard product: HP EliteBook 2740p v: N/A serial: <root required> 
           Mobo: Hewlett-Packard model: 7007 v: KBC Version 39.36 serial: <root required> BIOS: Hewlett-Packard 
           v: 68COU Ver. F.04 date: 03/08/2011 
Battery:   ID-1: BAT0 charge: 27.3 Wh condition: 27.3/27.3 Wh (100%) 
CPU:       Topology: Dual Core model: Intel Core i5 M 560 bits: 64 type: MT MCP L2 cache: 3072 KiB 
           Speed: 1463 MHz min/max: 1199/2667 MHz Core speeds (MHz): 1: 1438 2: 1396 3: 1439 4: 1303 
Graphics:  Device-1: Intel Core Processor Integrated Graphics driver: i915 v: kernel 
           Display: x11 server: Fedora Project X.org 1.20.6 driver: modesetting unloaded: fbdev,vesa 
           resolution: 1280x800~60Hz 
           OpenGL: renderer: Mesa DRI Intel Ironlake Mobile v: 2.1 Mesa 19.2.8 
Audio:     Device-1: Intel 5 Series/3400 Series High Definition Audio driver: snd_hda_intel 
           Sound Server: ALSA v: k5.3.7-301.fc31.x86_64 
Network:   Device-1: Intel 82577LM Gigabit Network driver: e1000e 
           IF: enp0s25 state: down mac: 1c:c1:de:c2:91:c7 
           Device-2: Intel Centrino Advanced-N 6200 driver: iwlwifi 
           IF: wlo1 state: up mac: 18:3d:a2:99:c5:dc 
Drives:    Local Storage: total: 119.24 GiB used: 63.12 GiB (52.9%) 
           ID-1: /dev/sda vendor: LITE-ON model: LMH-128V2M-11 MSATA 128GB size: 119.24 GiB 
Partition: ID-1: / size: 29.40 GiB used: 11.15 GiB (37.9%) fs: ext4 dev: /dev/dm-0 
           ID-2: /boot size: 975.9 MiB used: 214.5 MiB (22.0%) fs: ext4 dev: /dev/sda1 
           ID-3: /home size: 83.70 GiB used: 51.76 GiB (61.8%) fs: ext4 dev: /dev/dm-2 
           ID-4: swap-1 size: 2.70 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/dm-1 
Sensors:   System Temperatures: cpu: 41.0 C mobo: 0.0 C 
           Fan Speeds (RPM): N/A 
Info:      Processes: 197 Uptime: 35m Memory: 7.57 GiB used: 1.12 GiB (14.7%) Shell: bash inxi: 3.0.37

Comment 2 Ben Cotton 2020-11-03 16:57:39 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-11-24 17:10:43 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.